<?php
	/*
		CELLCORE APPLICATION PROGRAMMING INTERFACE FOR SMS SENDING
		EASILY ADAPATABLE FOR ANY OTHER SMS PROVIDERS OVER HTTP
		SMSAPI.php VERSION 1.0 r2
		CONCACT support@mobileplus.com.ng for any clarifications and questions.
	*/

  if (!extension_loaded('curl')) {
     trigger_error ("Our SMS library requires CURL extension to be loaded. Check your php.ini", E_USER_ERROR);
  }

class SMS {
	var $d_Remote_Host;
	var $d_Remote_Port;
	
	// URL PARAMETERS
	var $url_sender_addr;
	var $url_reciev_addr;
	var $url_messag_body;
	var $url_username_fld;
	var $url_password_fld;
	var $url_fixed_fld;
	var $url_parameters;

	function HostDetails ($host, $port, $path, $secure){
		$this->d_Remote_Host = $host;
		$this->d_Remote_Port = $port;
		if (empty($host)){
			$this->d_Remote_Host = 'localhost';
		}
		if ($secure == 0){
			$this->d_Remote_Prot = 'http://';
			$this->d_Remote_Host = 'http://'.$this->d_Remote_Host;
		}else {
			$this->d_Remote_Prot = 'https://';
			$this->d_Remote_Host = 'https://'.$this->d_Remote_Host;
		}
		if ($port == '80' || port == '0'){}
		else {
			$this->d_Remote_Host .= ':'.$this->d_Remote_Port;
		}
		$this->d_Remote_Path = $this->d_Remote_Host."/".$path."?";
	}

	function SetParameters ($_usr, $_pwd, $_src, $_dst, $_msg, $_oth){
		$this->url_sender_addr = $_src; // SET sender address
		$this->url_reciev_addr = $_dst; // SET destination address [recipient's phone number]
		$this->url_messag_body = $_msg; // 
		$this->url_username_fld = $_usr; // Account UserName on our platform
		$this->url_password_fld = $_pwd; // Account Password on our platform
		$this->url_fixed_fld = $_oth; // Any other parameter fixed parameters which do not change;
	}

	function SendSms ($usr, $pwd, $frm, $to, $msg) {
		$addr = $this->d_Remote_Path;

		$ci = curl_init() or die(curl_error());
		//curl_setopt($ci, CURLOPT_PORT, $this->d_Remote_port);
		curl_setopt($ci, CURLOPT_HEADER, 0);
		curl_setopt($ci, CURLOPT_URL, $addr);
		curl_setopt($ci, CURLOPT_CONNECTTIMEOUT, 30);
		curl_setopt($ci, CURLOPT_TIMEOUT, 300);
		curl_setopt($ci, CURLOPT_RETURNTRANSFER, 1);
	 	curl_setopt($ci, CURLOPT_POST, 1);
		//curl_setopt($ci, CURLOPT_HTTPHEADER, $html_header);
		$this->url_parameters = $this->url_fixed_fld."&";
		$this->url_parameters .= $this->url_username_fld."=$usr&";
		$this->url_parameters .= $this->url_password_fld."=$pwd&";
		$this->url_parameters .= $this->url_sender_addr."=".rawurlencode($frm)."&";
		$this->url_parameters .= $this->url_reciev_addr."=$to&";
		$this->url_parameters .= $this->url_messag_body."=".rawurlencode($msg)."&";;
		curl_setopt($ci, CURLOPT_POSTFIELDS, $this->url_parameters);
		$response = curl_exec($ci) or die(curl_error($ci)." Please try again Later");
		return $response."<p>".$this->d_Remote_Path.$this->url_parameters;
	}

}
?>